const require_DidCommFeaturesDiscloseMessage = require('../messages/DidCommFeaturesDiscloseMessage.js');
require('../messages/index.js');

//#region ../didcomm/src/modules/discover-features/protocol/v1/handlers/DidCommFeaturesDiscloseMessageHandler.ts
var DidCommFeaturesDiscloseMessageHandler = class {
	constructor(discoverFeaturesService) {
		this.supportedMessages = [require_DidCommFeaturesDiscloseMessage.DidCommFeaturesDiscloseMessage];
		this.discoverFeaturesService = discoverFeaturesService;
	}
	async handle(inboundMessage) {
		await this.discoverFeaturesService.processDisclosure(inboundMessage);
	}
};

//#endregion
exports.DidCommFeaturesDiscloseMessageHandler = DidCommFeaturesDiscloseMessageHandler;